import Taro, { Component } from '@tarojs/taro'
import { View, Image, Text } from '@tarojs/components'

import eyeIcon from '../../icons/eye.png'
import cartIcon from '../../icons/cart.png'

import './shopItemComponent.scss'
import URL from '../../serviceAPI.config'

class ShopItem extends Component {



    shopOnClickHanlder(){
        Taro.navigateTo({
            url: '/pages/goods/goods?id=123&name=michael'
        })
    }
    render() {
        const imgURL =this.props.item? URL.Base +this.props.item.goods_url:null
        const newPrice = this.props.item ? this.props.item.goods_price : null
        const oldPrice = this.props.item ? this.props.item.goods_org_price : null
        const name = this.props.item ? this.props.item.goods_name : null
        const browseTimes = this.props.item ? this.props.item.browse_times : null
        const goodType = this.props.item ? this.props.item.goods_type_name:null
        return (
            <View className='shopitem-box' onClick={this.shopOnClickHanlder.bind(this)}>
                <View className='goods-type'>
                    {goodType}                
                </View>
                <View className='image-box'>
                    <Image mode='aspectFit' style=' max-height: 100%; max-width: 100%;' className='img' src={imgURL}/>
                </View>
                <View className='price-box'>
                    <Text class='new-price'>￥{newPrice+'  '}</Text>
                    <Text className='old-price'>   ￥{oldPrice}</Text>

                </View>
                <View className='itemname-box'>
                    <View className='name'>{name}</View>
                </View>

                <View className='addon-box'>
                    <View className='basket'>
                        <Image src={cartIcon} style='width:12px; height:12px;vertical-align:middle;'/>
                        <Text className='amount'>0</Text> 
                    </View>
                    |
                    <View className='browse-time'>
                        <Image src={eyeIcon} style='width:12px; height:12px;vertical-align:middle;' />
                        <Text className='amount' >{browseTimes}</Text> 
                    </View>
                </View>
                
            </View>
        )
    }
}

export default ShopItem
