import Taro, { Component } from '@tarojs/taro'
import { View, Text,  Radio, RadioGroup, Label } from '@tarojs/components'
import { AtInput,  AtImagePicker, AtTextarea,  AtButton, Picker } from 'taro-ui'

import SearchBarComponent from '../../component/searchBarComponent/searchBarComponent'
import copyrightComponent from '../../component/copyrightComponent/copyrightComponent'


import './goodsPublish.scss'

class GoodsPublish extends Component {

    config = {
        navigationBarTitleText: '商品发布'
    }
    constructor() {
        super(...arguments)
        this.state = {
            selector: ['需求', '供应', '人才'], // 应该是树型结构，需要修改
            selectorChecked: '需求',
            productName:'',
            productPrice:'',
            productUnit:'',
            productDescript:'',
            files: [{
                url: 'https://jimczj.gitee.io/lazyrepay/aragaki1.jpeg',
            },
            {
                url: 'https://jimczj.gitee.io/lazyrepay/aragaki2.jpeg',
            },
            {
                url: 'https://jimczj.gitee.io/lazyrepay/aragaki3.png',
            }], // 上传的图片
            list: [
                {
                    value: '美国',
                    text: '美国',
                    checked: false
                },
                {
                    value: '中国',
                    text: '中国',
                    checked: true
                },
                {
                    value: '巴西',
                    text: '巴西',
                    checked: false
                },
                {
                    value: '日本',
                    text: '日本',
                    checked: false
                }
                
            ] //  店铺分类选项
        }
    }
    // 改变商品分类状态
    onChange(e){
        this.setState({
            selectorChecked: this.state.selector[e.detail.value]
        })
    }
    productNameChange(event){
        this.setState({
            productName: event
        })
    }
    productPriceChange(event){
        this.setState({
            productPrice: event
        })
    }
    productUnitChange(event){
        this.setState({
            productUnit: event
        })
    }
    productDescriptChange(event){
        this.setState({
            productDescript: event.target.value
        })
    }
    // 上传图片
    onChangeImg(files,operationType) {
        if (operationType === 'add') {
            this.setState({
                files
            })
        }
        if (operationType === 'remove') {
            this.state.files.splice(index, 1);
            this.setState({ files: this.state.files });
        }
       
    }
    // 图片上传失败
    onFail(mes) {
        console.log(mes)
    }
    // 删除图片
    onImageClick(index) {
       
    }
  
    componentWillReceiveProps(nextProps) {
        console.log(this.props, nextProps)
    }

    componentWillUnmount() { }

    componentDidShow() { }

    componentDidHide() { }

    render() {
        return (
            <View className='goods-publish'>
                <SearchBarComponent></SearchBarComponent>
                <View className='goods-category'>
                    <View className='page-section'>

                        <View>
                            <Picker mode='selector' range={this.state.selector} onChange={this.onChange}>
                                <View className='picker'>
                                    <View className='title-box'>
                                        <Text className='title'><Text className='require'>*</Text>商品分类:</Text> <Text className='selected'>{this.state.selectorChecked}</Text>
                                    </View>

                                </View>
                            </Picker>
                        </View>
                    </View>

                    <View className='input-box'>
                        <Text className='require'>*</Text>
                        <AtInput
                          name='value'
                          title='商品名称：'
                          type='text'
                          value={this.state.productName}
                          onChange={this.productNameChange.bind(this)}
                        />
                    </View>
                    <View className='input-box'>
                        <Text className='require'>*</Text>
                    <AtInput
                      name='value'
                      title='商品价格：'
                      type='number'
                      placeholder='￥'
                      value={this.state.productPrice}
                      onChange={this.productPriceChange.bind(this)}
                    />
                </View>
                    <View className='input-box'>
                        <Text className='require'>*</Text>
                    <AtInput
                      name='value'
                      title='商品单位：'
                      type='text'
                      value={this.state.productUnit}
                      onChange={this.productUnitChange.bind(this)}
                    />
                    </View>
                    {/* 图片上传 */}
                    <View className='img-box'>
                        <View className='title-box'>
                            <Text className='require'>*</Text>
                            <Text className='title'>上传图片:</Text>
                        </View>
                        <View className='img-container'>
                            <AtImagePicker
                              multiple
                              files={this.state.files}
                              onChange={this.onChangeImg.bind(this)}
                              onFail={this.onFail.bind(this)}
                              onImageClick={this.onImageClick.bind(this)}
                            />
                        </View>
                    </View>
                    <View className='shoptype-box'>
                    {/* 店铺分类 */}
                        <View className='title-box'>
                            <Text className='require'>*</Text>
                            <Text className='title'>店铺分类:</Text>
                        </View>
                        <View className='shoptype-container'>
                            <View className='title-box'>
                                <Text className='title'>国家:</Text>
                            </View>
                            <View className='radio-box'>
                                <RadioGroup>
                                    {this.state.list.map((item, i) => {
                                        return (
                                            <Label className='radio-list__label' for={i} key={i}>
                                                <Radio color='#FF9500' className='radio-list__radio' value={item.value} checked={item.checked}>{item.text}</Radio>
                                            </Label>
                                        )
                                    })}
                                </RadioGroup>
                            </View>
                            <View className='title-box'>
                                <Text className='title'>国家:</Text>
                            </View>
                            <View className='radio-box'>
                                <RadioGroup>
                                    {this.state.list.map((item, i) => {
                                        return (
                                            <Label className='radio-list__label' for={i} key={i}>
                                                <Radio color='#FF9500' className='radio-list__radio' value={item.value} checked={item.checked}>{item.text}</Radio>
                                            </Label>
                                        )
                                    })}
                                </RadioGroup>
                            </View>
                            <View className='title-box'>
                                <Text className='title'>国家:</Text>
                            </View>
                            <View className='radio-box'>
                                <RadioGroup>
                                    {this.state.list.map((item, i) => {
                                        return (
                                            <Label className='radio-list__label' for={i} key={i}>
                                                <Radio color='#FF9500' className='radio-list__radio' value={item.value} checked={item.checked}>{item.text}</Radio>
                                            </Label>
                                        )
                                    })}
                                </RadioGroup>
                            </View>

                        </View>
                       
                    </View>
                   
                    <View className='description-box'>
                        <View className='title-box'>
                            <Text className='require'></Text>
                            <Text className='title'>商品简介:</Text>
                        </View>
                        
                        <AtTextarea
                          value={this.state.productDescript}
                          onChange={this.productDescriptChange.bind(this)}
                          maxlength='200'
                          placeholder='你的产品简介'
                        />

                    </View>
                </View>
                <View className='button-box'>
                    <View className='button'>
                        <AtButton type='primary' size='small'>发布</AtButton>
                    </View>
                    <View className='button'>
                        <AtButton type='primary' className='button-a'  size='small'>发布并新增</AtButton>
                    </View>
                    <View className='button'>
                        <AtButton type='primary' className='button-a'  size='small'>商品列表</AtButton>
                    </View>
                    
                    

                </View>

                <copyrightComponent></copyrightComponent>

            </View>
        )
    }
}

export default GoodsPublish
